## rb-statusbar

rb-statusbar —

## Synopsis

    typedef     RBStatusbarPrivate;
    RBStatusbar* rb_statusbar_new               (RhythmDB *db,
                                                 GtkActionGroup *actiongroup);
    void        rb_statusbar_set_source         (RBStatusbar *bar,
                                                 RBSource *player);
    void        rb_statusbar_set_progress       (RBStatusbar *bar,
                                                 double progress,
                                                 const char *text);

## Description

## Details

### RBStatusbarPrivate

    typedef struct RBStatusbarPrivate RBStatusbarPrivate;

### rb_statusbar_new ()

    RBStatusbar* rb_statusbar_new               (RhythmDB *db,
                                                 GtkActionGroup *actiongroup);

`db` : |
`actiongroup` : |
Returns : |

### rb_statusbar_set_source ()

    void        rb_statusbar_set_source         (RBStatusbar *bar,
                                                 RBSource *player);

`bar` : |
`player` : |

### rb_statusbar_set_progress ()

    void        rb_statusbar_set_progress       (RBStatusbar *bar,
                                                 double progress,
                                                 const char *text);

`bar` : |
`progress` : |
`text` : |